Distribution list/Debian
From ACX100/ACX111 wireless network driver project
Contents |
Driver Installation
There exists a Debian package (note) for the acx100/111 driver. This simplifies the installation and maintenance of the driver.
First, amend your /etc/apt/sources.list file to include contrib sources, for example:
deb http://ftp.debian.org/debian/ etch main contrib
To obtain and install the driver, execute the following commands (as root):
# apt-get update # apt-get install acx100-source wireless-tools module-assistant # m-a prepare # m-a a-i acx100
Please note that you can't build the source for a different kernel version if you are using the acx100-source package from Debian Sarge (see Debian Bug #329005).
When you have finished the above steps, copy your firmware files to /lib/firmware. Verify that you acquire and transfer the relevant firmware files for your device's chipset (ie. ACX111, ACX100USB, ACX100 or TNETW1450). Also note that subdirectories aren't required to be created within /lib/firmware.
For example, to install 1.2.1.34 firmware for the ACX111 chipset:
$ cd $HOME $ wget http://www.hauke-m.de/fileadmin/acx/fw.tar.bz2 $ tar jxvf fw.tar.bz2 $ su # cp -v fw/acx111_1.2.1.34/* /lib/firmware/
More information is available on the firmware page.
Once the necessary firmware files are present on your system, load the acx module:
# modprobe acx
At this point, your wireless interface should be available to you:
# iwconfig
lo no wireless extensions.
eth0 no wireless extensions.
sit0 no wireless extensions.
wlan0 IEEE 802.11b+/g+ ESSID:"STABB46C9" Nickname:"acx v0.3.35"
Mode:Managed Frequency:2.412 GHz Access Point: Not-Associated
Bit Rate:54 Mb/s Tx-Power=15 dBm Sensitivity=1/3
Retry min limit:7 RTS thr:off
Encryption key:off
Power Management:off
Link Quality:0 Signal level:0 Noise level:0
Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
Tx excessive retries:0 Invalid misc:0 Missed beacon:0
If not, examine the kernel ring buffer (dmesg). Ensure that you have the correct firmware installed, this can be verified by examining the "requesting firmware image" lines in the driver's debug output. Again, place your required files in /lib/firmware and not in subdirectories.
While usually not necessary, the driver can be forced to load at system startup via:
# echo acx >>/etc/modules
When loading the acx module at boot time, some people have had errors where the console logs a message about not being able to find firmware. This is due to the installation of the linux-wlan-ng driver, see below for more information.
Interface Configuration
Now you need to edit your /etc/network/interfaces file, to include your new device:
Dynamic IP Example
auto wlan0
iface wlan0 inet dhcp
wireless-mode managed
#wireless-channel 1 # optional
wireless-essid linksys # change to your ESSID
wireless-key1 12345asdf # this is your WEP key, if it's needed (optional)
wireless-ap 00:0F:66:12:0D:C9 # your access point MAC (optional)
Static IP Example
auto wlan0
iface wlan0 inet static
address 192.168.1.7
netmask 255.255.255.0
network 192.168.1.0
broadcast 192.168.1.255
gateway 192.168.1.1
wireless-mode managed
#wireless-channel 1 # optional
wireless-essid linksys # change to your ESSID
wireless-key1 12345asdf # this is your WEP key, if it's needed (optional)
wireless-ap 00:0F:66:12:0D:C9 # your access point MAC (optional)
More information can be found in the interfaces man page (man 5 interfaces), /usr/share/doc/ifupdown/examples/network-interfaces.gz and /usr/share/doc/wireless-tools/README.Debian
Miscellaneous
linux-wlan-ng
If you have problems with the system complaining about not being able to find p80211, you may have the linux-wlan-ng driver package installed. This can be fixed by changing this line from /etc/network/if-pre-up.d/linux-wlan-ng-pre-up:
if ! modprobe p80211; then
echo "Failed to load p80211" >&2
exit 1
fi
...to...
if ! modprobe acx; then
echo "Failed to load acx" >&2
exit 1
fi
When loading the acx module at boot time (such as the case where you have a PCI card), some people have had errors where the console logs a message about not being able to find firmware. This is because the hotplug system is not active yet. One possible workaround is to not put 'acx' in /etc/modules, but rather put this in /etc/modutils/linux-wlan-ng:
# Aliases to tell insmod/modprobe which module to use when bringing up the # wlan0 interface. # Uncomment the line corresponding to the type of prism2 device you have. #alias wlan0 prism2_pci #alias wlan0 prism_usb #alias wlan0 prism2_cs #alias wlan0 prism2_plx alias wlan0 acx
This will load the module after the hotplug system has been initialized.
Network Managers
The following section requires verification and amendment.
In Debian for conection not use NetworkManager, have a lot of bugs, is not compatible with this driver that have WEP support only. It is hang with WPA suplicant. [1]. Instead Wireless Assistant is a good option or manual configuration the etc/network file.
